- name: users | super_user | remove preinstalled clutter from home directory
  file:
    path: /home/super_user/{{ item }}
    state: absent
  with_items:
    - examples.desktop
    - Music
    - Public
    - Templates
    - Videos

- name: users | super_user | create personal config directories
  tags: dotfiles,dotfiles-super_user
  file:
    path: /home/super_user/{{ item.dir }}
    state: directory
    owner: super_user
    group: super_user
    mode: 0700
  with_items:
    - { dir: .config }
    - { dir: .config/autostart }
    - { dir: .config/gtk-3.0 }
    - { dir: .config/terminator }
    - { dir: .local }
    - { dir: .local/share }
    - { dir: .local/share/applications }
    - { dir: .cert }
    - { dir: .icons }
    - { dir: .fonts }
    - { dir: .themes }
    - { dir: .clusterssh }
    - { dir: .ssh }
    - { dir: bin }
    - { dir: Templates }
    - { dir: Personal }
    - { dir: work }
    - { dir: Apps }
    
- name: users | super_user | copy user-dirs.dirs
  tags: dotfiles,dotfiles-super_user
  copy:
    src: users/super_user/user-dirs.dirs
    dest: /home/super_user/.config/user-dirs.dirs
    owner: super_user
    group: super_user
    mode: 0600
  notify: update_xdg

- name: users | super_user | copy personal config files
  tags: dotfiles,dotfiles-super_user
  copy:
    src: users/super_user/{{ item.src }}
    dest: /home/super_user/{{ item.dest }}
    owner: super_user
    group: super_user
    mode: 0600
  with_items:
    - { src: 'directory_bookmarks', dest: '.config/gtk-3.0/bookmarks' }
    - { src: 'gvimrc', dest: '.gvimrc' }
    - { src: 'mimeapps.list', dest: '.config/mimeapps.list' }
    - { src: 'ssh_client_config', dest: '.ssh/config' }
    - { src: 'terminator_config', dest: '.config/terminator/config' }
    - { src: 'redshift.conf', dest: '.config/redshift.conf' }
